%global srcname ta-lib
%global _description %{summary}.
%global debug_package %{nil}

Name:           %{srcname}
Version:        0.6.4
Release:        %autorelease
Summary:        Technical Analysis Library (Core C library)

License:        BSD-3-Clause
URL:            https://github.com/TA-Lib/ta-lib
Source:         %{url}/archive/%{commit}/%{srcname}-%{version}-src.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make

%description
%{_description}


%package devel
Summary:       Development libraries for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development libraries for %{name}.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%configure
%make_build


%install
%make_install


%check
%make_build check VERBOSE=1

cd ./src/tools/ta_regtest
./ta_regtest

%files
%doc README.md
%{_libdir}/libta-lib.so.0
%{_libdir}/libta-lib.so.0.0.0


%files devel
%doc README.md
%{_includedir}/%{srcname}
%{_libdir}/pkgconfig/ta-lib.pc
%{_libdir}/libta-lib.so
%{_libdir}/libta-lib.a

%postun -p /sbin/ldconfig
%post -p /sbin/ldconfig

%changelog
%autochangelog
